#ifndef MCS_FILELOCATIONS_H
#define MCS_FILELOCATIONS_H

#include <string>

#include "MCS_OneWayDirectory.h"
#include "MCS_Singleton.h"

namespace mcs {

class FileLocationDirectory : public OneWayDirectory<std::string,std::string>
{
	public:
		FileLocationDirectory();
};

//const FileLocationDirectory& FileLocations = Singleton<FileLocationDirectory>::instance();
extern const FileLocationDirectory& FileLocations;

} // namespace mcs

#endif // MCS_FILELOCATIONS_H