#ifndef MCS_TYPECASTS_H
#define MCS_TYPECASTS_H

namespace mcs {

// Class should be specialized to allow arbitrary type conversions using the form
//	construct<Type1>::from(Type2())
//
template<class T> 
class construct
{
	public:
		template<class U> static T from(const U& val);
};

} // namespace mcs

#endif // MCS_TYPECASTS_H