//#define DEBUG
#ifndef DEBUG
	#include "MCS_Headers++.h"
#else
	#include <MSLHeaders++.h>
	
	#include "MCS_Vector.h"
	#include "MCS_Matrix.h"
	
	#include "NR.h"
#endif

using namespace NR;

void NR::Poly_Fit(Float32 x_val,VF32& function_val)
{
	function_val[function_val.first()] = 1;
	
	for (v_idx i=function_val.first()+1;i<=function_val.last();i++)
		function_val[i] = function_val[i-1]*x_val;
}
		
void NR::Poly_Fit(Float64 x_val,VF64& function_val)
{
	function_val[function_val.first()] = 1;
	
	for (v_idx i=function_val.first()+1;i<=function_val.last();i++)
		function_val[i] = function_val[i-1]*x_val;
}
		
