#ifndef MCS_TENSORINDIRECTION_H
#define MCS_TENSORINDIRECTION_H

#include <string>
#include <vector>

namespace mcs {

template<Uint8 R> class TensorIndirection : public std::vector< typename IndexRange<R>::IndexType > 
{
	public:
		explicit TensorIndirection(const Int32& sz) : std::vector< typename IndexRange<R>::IndexType >(sz) { } 
};

} // namespace mcs

#endif // MCS_TENSORINDIRECTION_H