#ifndef MCS_VECTORTYPECASTS_H
#define MCS_VECTORTYPECASTS_H

#include "MCS_Vector.h"
#include "MCS_Typecasts.h"

namespace mcs {

template<class T> class construct< Vector<T> >
{
	public:
		template<class U> static Vector<T> from(const Vector<U>& vec)
		{ 
			Vector<T>	tmp(vec.range());
			
			for (Int32 i=vec.first();i<=vec.last();i++) 
				tmp[i] = static_cast<U>(vec[i]);
				
			return tmp;
		}
};

} // namespace mcs

#endif // MCS_VECTORTYPECASTS_H