#ifndef MCS_TYPEDEFS_H
#define MCS_TYPEDEFS_H

#include <complex>

typedef bool					Binary;
typedef char 					Int8;
typedef unsigned char			Uint8;
typedef short 					Int16;
typedef unsigned short			Uint16;
typedef	int						Int32;
typedef unsigned int			Uint32;	
typedef long long				Int64;
typedef unsigned long long		Uint64;
typedef float					Float32;
typedef double					Float64;

typedef std::complex<Float32>	complex32;
typedef std::complex<Float64> 	complex64;

typedef std::complex<Float32>	Complex32;
typedef std::complex<Float64>	Complex64;

typedef std::complex<Float32>	s_complex;
typedef std::complex<Float64>	d_complex;

class NullType { };

#endif // MCS_TYPEDEFS_H