#include "MCS_GZIPInputStream.h"

namespace mcs {

GZIPInputStream::GZIPInputStream() :
	last_filename_("")
{ }

Int32 GZIPInputStream::uncompressedSize(const std::string& fname) const
{
	return gz::uncompressedSize(fname);
}

void GZIPInputStream::read(const std::string& fname)
{
	using namespace std;
	
	if (fname != last_filename_) 
	{
		cerr << "Reading..." << fname;
		
		gz::readGZIP(fname,rawdata_);	
		
		cerr << "...done" << endl;
		
		last_filename_ = fname;
	}
	
	return;
}

} // namespace mcs