#ifndef MCS_MATRIXTYPECASTS_H
#define MCS_MATRIXTYPECASTS_H

#include "MCS_Matrix.h"
#include "MCS_Typecasts.h"

namespace mcs {

template<class T> class construct< Matrix<T> >
{
	public:
		template<class U> static Matrix<T> from(const Matrix<U>& mat)
		{ 
			return Matrix<T>(mat.range(),construct< Vector<T> >::from(mat.asVector()));
		}
};

} // namespace mcs

#endif // MCS_MATRIXTYPECASTS_H