#ifndef MCS_RPFASTINTERPOLATION_H
#define MCS_RPFASTINTERPOLATION_H

namespace mcs {

namespace num {

Vector<Float32> remap(const Vector<Float32>& x,const Vector<Float32>& y,const Vector<Float32>& sig,
					  Float32 psig,Float32 w,const Vector<Float32>& xout);
Vector<Float32> remap(const Vector<Float32>& x,const Vector<Float32>& y,const Vector<Float32>& sig,
					  Float32 psig,Float32 w,bool unbiased,const Vector<Float32>& xout);
Vector<Float32> reest(const Vector<Float32>& x,const Vector<Float32>& y,const Vector<Float32>& psig,const Vector<Float32>& sig,
			   		  const Vector<Float32>& w,Float32& chisq,bool unbiased);

Vector<Float64> remap(const Vector<Float64>& x,const Vector<Float64>& y,const Vector<Float64>& sig,
					  Float64 psig,Float64 w,const Vector<Float64>& xout);
Vector<Float64> remap(const Vector<Float64>& x,const Vector<Float64>& y,const Vector<Float64>& sig,
					  Float64 psig,Float64 w,bool unbiased,const Vector<Float64>& xout);
Vector<Float64> reest(const Vector<Float64>& x,const Vector<Float64>& y,const Vector<Float64>& psig,const Vector<Float64>& sig,
			   		  const Vector<Float64>& w,Float64& chisq,bool unbiased);

} // namespace num

} // namespace mcs

#endif // MCS_RPFASTINTERPOLATION_H