#ifndef MCS_NRWRAPPERS_H
#define MCS_NRWRAPPERS_H

#include "MCS_NumericalRecipes.h"

namespace NR {

// provide wrappers for Numerical Recipes routines in single and double precision
//	- these allow templated functions to call the NR routine in the appropriate
//	- namespace through a call of the form NR::FN<T>::routine()
//
template<class T> class FN
{ };

} // namespace NR

#include "MCS_NRWrappersFloat.h"
#include "MCS_NRWrappersDouble.h"

#endif // MCS_NRWRAPPERS_H