#ifndef MCS_BASICMETADATA_H
#define MCS_BASICMETADATA_H

namespace mcs {

namespace sat {

// basic policy class for swath metadata
class BasicMetadata 
{
	protected:
		BasicMetadata() { }
		BasicMetadata(const BasicMetadata&) { }
		virtual ~BasicMetadata() { } 
		
	private:
		BasicMetadata& operator=(const BasicMetadata&);
};

// policy class encapsulating implementation specific metadata
//
//		SatelliteMetadata specializations should be templatized
//			on a specific Dataset<Inst,Lev,Ver>
//
template<class DS> class SatelliteMetadata { };

} // namespace sat

} // namespace mcs

#endif // MCS_BASICMETADATA_H