#ifndef MCS_MSUUTILITIES_H
#define MCS_MSUUTILITIES_H

#include "MCS_FixedVector.h"
#include "MCS_Index.h"
#include "MCS_GeographicCoordinates.h"

namespace mcs {

namespace sat {

namespace msu {

Float32 getMSU_CCM3DiurnalClimatology(Int32 channel,Int32 fov,const Date& ep,const geo::GeographicCoordinate<Float32>& loc);

FixedVector<Float32,2> getMSUClimatologyTB(Int32 channel,Int32 fov,Float32 incidence_angle,const Date& ep,const geo::GeographicCoordinate<Float32>& loc);

} // namespace msu

} // namespace sat

} // namespace mcs

#endif // MCS_MSUUTILITIES_H
