// not in place 
// arithmetic functions
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> abs(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> ceil(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> exp(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> floor(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> log(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> pow(const Tensor<T,R,Imp>& source,const T& expon);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> round(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> sqr(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> sqrt(const Tensor<T,R,Imp>& source);

// trigonometric functions
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> acos(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> asin(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> atan(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> atan2(const Tensor<T,R,Imp>& y,const Tensor<T,R,Imp>& x);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> cos(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> sin(const Tensor<T,R,Imp>& source); 
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> tan(const Tensor<T,R,Imp>& source);

// hyperbolic functions
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> acosh(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> asinh(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> atanh(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> cosh(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> sinh(const Tensor<T,R,Imp>& source); 
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> tanh(const Tensor<T,R,Imp>& source);
 
// complex vectors
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> conj(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<typename DemoteComplex<T>::demote_t,R,Imp> imag(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> Tensor<typename DemoteComplex<T>::demote_t,R,Imp> real(const Tensor<T,R,Imp>& source);

// in place
// arithmetic functions
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Abs(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Ceil(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Exp(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Floor(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Log(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Pow(Tensor<T,R,Imp>& source,const T& expon);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Round(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Sqr(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Sqrt(Tensor<T,R,Imp>& source);

// trigonometric functions
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Acos(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Asin(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Atan(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Cos(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Sin(Tensor<T,R,Imp>& source); 
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Tan(Tensor<T,R,Imp>& source);

// hyperbolic functions
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Acosh(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Asinh(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Atanh(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Cosh(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Sinh(Tensor<T,R,Imp>& source); 
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Tanh(Tensor<T,R,Imp>& source);

// complex vectors
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Conj(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Imag(Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp>& Real(Tensor<T,R,Imp>& source);

// miscellaneous
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> bound(const Tensor<T,R,Imp>& x,const T& min_val,const T& max_val);
template<class T,Uint8 R,class Imp> typename Tensor<T,R,Imp>::MaskType even(const Tensor<T,R,Imp>& x);
template<class T,Uint8 R,class Imp> typename Tensor<T,R,Imp>::MaskType odd(const Tensor<T,R,Imp>& x);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> mod(const Tensor<T,R,Imp>& x,const T& y);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> mod(const Tensor<T,R,Imp>& x,const Tensor<T,R,Imp>& y);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> quotient(const Tensor<T,R,Imp>& x,const T& y);
template<class T,Uint8 R,class Imp> Tensor<T,R,Imp> quotient(const Tensor<T,R,Imp>& x,const Tensor<T,R,Imp>& y);

// vector specific
template<class T,Uint8 R,class Imp> bool all(const Tensor<T,R,Imp>&);
template<class T,Uint8 R,class Imp> bool any(const Tensor<T,R,Imp>&);

template<class T,Uint8 R,class Imp> T dot(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> T mag(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> T norm(const Tensor<T,R,Imp>& source);	
template<class T,Uint8 R,class Imp> T prod(const Tensor<T,R,Imp>& source);		
template<class T,Uint8 R,class Imp> T sum(const Tensor<T,R,Imp>& source);

// not in place
// arithmetic functions
template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> abs(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Abs(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> ceil(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Ceil(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> exp(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Exp(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> floor(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Floor(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> log(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Log(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> pow(const Tensor<T,R,Imp>& source,const T& expon)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Pow(tmp,expon);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> round(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Round(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> sqr(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Sqr(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> sqrt(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Sqrt(tmp);
	
	return tmp;
}

// complex vectors
template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> conj(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Conj(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<typename DemoteComplex<T>::demote_t,R,Imp> imag(const Tensor<T,R,Imp>& source)
{
	Tensor<typename DemoteComplex<T>::demote_t,R,Imp>	tmp(source);
	
	Imag(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> imag(const Tensor<std::complex<T>,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source.range());
	
	typename Tensor<T,R,Imp>::iterator						it=tmp.begin();
	typename Tensor<std::complex<T>,R,Imp>::const_iterator	sit=source.begin();
	
	for (;it!=tmp.end();++it,++sit)
		*it = sit->imag();
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<typename DemoteComplex<T>::demote_t,R,Imp> real(const Tensor<T,R,Imp>& source)
{
	Tensor<typename DemoteComplex<T>::demote_t,R,Imp>	tmp(source);
	
	Real(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> real(const Tensor<std::complex<T>,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source.range());
	
	typename Tensor<T,R,Imp>::iterator						it=tmp.begin();
	typename Tensor<std::complex<T>,R,Imp>::const_iterator	sit=source.begin();
	
	for (;it!=tmp.end();++it,++sit)
		*it = sit->real();
			
	return tmp;
}

// trigonometric functions
template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> sin(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Sin(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> cos(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Cos(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> tan(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Tan(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> asin(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Asin(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> acos(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Acos(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> atan(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Atan(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
Tensor<T,R,Imp> atan2(const Tensor<T,R,Imp>& y,const Tensor<T,R,Imp>& x)
{
	static const EnsureFloat<T>	dummy_;
	
	if (x.range() != y.range()) throw typename Tensor<T,R,Imp>::SizeMismatchErr();

	Tensor<T,R,Imp>	tmp(y.range());
	
	typename Tensor<T,R,Imp>::iterator			it=tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator	xit=x.begin(),
													yit=y.begin();
	
	for (;it!=tmp.end();++it,++xit,++yit)
		*it = STD_(atan2(*yit,*xit));
		
	return tmp;
}

// hyperbolic functions
template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> sinh(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Sinh(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> cosh(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Cosh(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> tanh(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Tanh(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> asinh(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Asinh(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> acosh(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Acosh(tmp);
	
	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> atanh(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source);
	
	Atanh(tmp);
	
	return tmp;
}

// in place
// arithmetic functions
template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Abs(Tensor<T,R,Imp>& source)
{
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::abs(*it);
		
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Ceil(Tensor<T,R,Imp>& source)
{
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::ceil(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Exp(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::exp(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Floor(Tensor<T,R,Imp>& source)
{
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::floor(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Log(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::log(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Pow(Tensor<T,R,Imp>& source,const T& expon)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::pow(*it,expon);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Round(Tensor<T,R,Imp>& source)
{
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::round(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Sqr(Tensor<T,R,Imp>& source)
{
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it *= *it;
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Sqrt(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::sqrt(*it);
	
	return source;
}

// complex functions
// conjugate complex vector
template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Conj(Tensor<T,R,Imp>& source)
{
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = conj(*it);
		
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Imag(Tensor<T,R,Imp>& source)
{
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = imag(*it);
		
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Real(Tensor<T,R,Imp>& source)
{
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = real(*it);
		
	return source;
}

// trigonometric functions
template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Sin(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::sin(*it);

	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Cos(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::cos(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Tan(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::tan(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Asin(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::asin(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Acos(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::acos(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Atan(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::atan(*it);
	
	return source;
}

// hyperbolic functions
template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Sinh(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::sinh(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Cosh(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::cosh(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Tanh(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::tanh(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Asinh(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::asinh(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Acosh(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::acosh(*it);
	
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp>& Atanh(Tensor<T,R,Imp>& source)
{
	static const EnsureFloat<T>	dummy_;
	
	for (typename Tensor<T,R,Imp>::iterator it=source.begin();it!=source.end();++it)
		*it = std::atanh(*it);

	return source;
}

// miscellaneous
template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> bound(const Tensor<T,R,Imp>& x,const T& min_val,const T& max_val)
{
	Tensor<T,R,Imp>	tmp(x.range());
	
	typename Tensor<T,R,Imp>::iterator it=tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator	xit=x.begin();
	
	for (;it!=tmp.end();++it,++xit)
		*it = std::bound(*xit,min_val,max_val);

	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline typename Tensor<T,R,Imp>::MaskType even(const Tensor<T,R,Imp>& x)
{
	typename Tensor<T,R,Imp>::MaskType	tmp(x.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator it=tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator	xit=x.begin();
	
	for (;it!=tmp.end();++it,++xit)
		*it = std::even(*xit);

	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline typename Tensor<T,R,Imp>::MaskType odd(const Tensor<T,R,Imp>& x)
{
	typename Tensor<T,R,Imp>::MaskType	tmp(x.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator it=tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator	xit=x.begin();
	
	for (;it!=tmp.end();++it,++xit)
		*it = std::odd(*xit);

	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> mod(const Tensor<T,R,Imp>& x,const T& y)
{
	Tensor<T,R,Imp>	tmp(x.range());
	
	typename Tensor<T,R,Imp>::iterator it=tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator	xit=x.begin();
	
	for (;it!=tmp.end();++it,++xit)
		*it = std::mod(*xit,y);

	return tmp;
}

template<class T,Uint8 R,class Imp>
inline Tensor<T,R,Imp> mod(const Tensor<T,R,Imp>& x,const Tensor<T,R,Imp>& y)
{
	if (x.range() != y.range()) throw typename Tensor<T,R,Imp>::SizeMismatchErr();
	
	Tensor<T,R,Imp>	tmp(x.range());
	
	typename Tensor<T,R,Imp>::iterator	it=tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator	xit=x.begin(),
															yit=y.begin();
															
	for (;it!=tmp.end();++it,++xit,++yit)
		*it = std::mod(*xit,*yit);

	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> quotient(const Tensor<T,R,Imp>& x,const T& y)
{
	Tensor<T,R,Imp>	tmp(x.range());
	
	typename Tensor<T,R,Imp>::iterator it=tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator	xit=x.begin();
	
	for (;it!=tmp.end();++it,++xit)
		*it = std::quotient(*xit,y);

	return tmp;
}

template<class T,Uint8 R,class Imp> 
inline Tensor<T,R,Imp> quotient(const Tensor<T,R,Imp>& x,const Tensor<T,R,Imp>& y)
{
	if (x.range() != y.range()) throw typename Tensor<T,R,Imp>::SizeMismatchErr();
	
	Tensor<T,R,Imp>	tmp(x.range());
	
	typename Tensor<T,R,Imp>::iterator	it=tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator	xit=x.begin(),
															yit=y.begin();
															
	for (;it!=tmp.end();++it,++xit,++yit)
		*it = std::quotient(*xit,*yit);

	return tmp;
}

// vector specific
template<class T,Uint8 R,class Imp> 
inline bool all(const Tensor<T,R,Imp>& source)
{
	for (typename Tensor<T,R,Imp>::const_iterator it=source.begin();it!=source.end();++it)
		if (!*it) return false;
		
	return true;
}

template<class T,Uint8 R,class Imp> 
inline bool any(const Tensor<T,R,Imp>& source)
{
	for (typename Tensor<T,R,Imp>::const_iterator it=source.begin();it!=source.end();++it)
		if (*it) return true;
		
	return false;
}

// product of all elements
template<class T,Uint8 R,class Imp> 
inline T product(const Tensor<T,R,Imp>& source)
{
	T tprod(1);
		
	for (typename Tensor<T,R,Imp>::const_iterator it=source.begin();it!=source.end();++it)
		tprod *= *it;
	
	return tprod;
}

// sum of all elements
template<class T,Uint8 R,class Imp> 
inline T sum(const Tensor<T,R,Imp>& source)
{
	T tsum(0);
	
	for (typename Tensor<T,R,Imp>::const_iterator it=source.begin();it!=source.end();++it)
		tsum += *it;
	
	return tsum;
}
