// vector non-member operators

// logical operations		
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator==(const Tensor<T,R,Imp>& lhs,const T& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator!=(const Tensor<T,R,Imp>& lhs,const T& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator<(const Tensor<T,R,Imp>& lhs,const T& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator<=(const Tensor<T,R,Imp>& lhs,const T& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator>(const Tensor<T,R,Imp>& lhs,const T& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator>=(const Tensor<T,R,Imp>& lhs,const T& rhs);

template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator==(const T& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator!=(const T& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator<(const T& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator<=(const T& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator>(const T& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator>=(const T& lhs,const Tensor<T,R,Imp>& rhs);

template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator==(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator!=(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator<(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator<=(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator>(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator>=(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);

// arithmetic operators
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator+(const T& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator-(const T& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator*(const T& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator/(const T& lhs,const Tensor<T,R,Imp>& rhs);

template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator+(const Tensor<T,R,Imp>& lhs,const T& rhs);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator-(const Tensor<T,R,Imp>& lhs,const T& rhs);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator*(const Tensor<T,R,Imp>& lhs,const T& rhs);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator/(const Tensor<T,R,Imp>& lhs,const T& rhs);

template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator+(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator-(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator*(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator/(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);

template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator&&(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);
template<class T,Uint8 R,class Imp> const typename Tensor<T,R,Imp>::MaskType operator||(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs);

template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator+(const Tensor<T,R,Imp>& source);
template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator-(const Tensor<T,R,Imp>& source);

template<class T,Uint8 R,class Imp> const Tensor<T,R,Imp> operator!(const Tensor<T,R,Imp>& source);

// logical operations		
template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator==(const Tensor<T,R,Imp>& lhs,const T& rhs)
{
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit)
		*tmpit = (*lit == rhs);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator!=(const Tensor<T,R,Imp>& lhs,const T& rhs)
{
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit)
		*tmpit = (*lit != rhs);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator<(const Tensor<T,R,Imp>& lhs,const T& rhs)
{
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit)
		*tmpit = (*lit < rhs);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator<=(const Tensor<T,R,Imp>& lhs,const T& rhs)
{
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit)
		*tmpit = (*lit <= rhs);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator>(const Tensor<T,R,Imp>& lhs,const T& rhs)
{
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit)
		*tmpit = (*lit > rhs);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator>=(const Tensor<T,R,Imp>& lhs,const T& rhs)
{
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit)
		*tmpit = (*lit >= rhs);
		
	return tmp;
}

// scalar op tensor
template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator==(const T& lhs,const Tensor<T,R,Imp>& rhs)
{
	typename Tensor<T,R,Imp>::MaskType tmp(rhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++rit)
		*tmpit = (lhs == *rit);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator!=(const T& lhs,const Tensor<T,R,Imp>& rhs)
{
	typename Tensor<T,R,Imp>::MaskType tmp(rhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++rit)
		*tmpit = (lhs != *rit);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator<(const T& lhs,const Tensor<T,R,Imp>& rhs)
{
	typename Tensor<T,R,Imp>::MaskType tmp(rhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++rit)
		*tmpit = (lhs < *rit);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator<=(const T& lhs,const Tensor<T,R,Imp>& rhs)
{
	typename Tensor<T,R,Imp>::MaskType tmp(rhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++rit)
		*tmpit = (lhs <= *rit);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator>(const T& lhs,const Tensor<T,R,Imp>& rhs)
{
	typename Tensor<T,R,Imp>::MaskType tmp(rhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++rit)
		*tmpit = (lhs > *rit);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator>=(const T& lhs,const Tensor<T,R,Imp>& rhs)
{
	typename Tensor<T,R,Imp>::MaskType tmp(rhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++rit)
		*tmpit = (lhs >= *rit);
		
	return tmp;
}

// Vector op Vector
template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator==(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs.range() != rhs.range()) throw Tensor<T,R,Imp>::Err();
	
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin(),
													rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit,++rit)
		*tmpit = (*lit == *rit);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator!=(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs.range() != rhs.range()) throw Tensor<T,R,Imp>::Err();
	
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin(),
													rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit,++rit)
		*tmpit = (*lit != *rit);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator<(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs.range() != rhs.range()) throw Tensor<T,R,Imp>::Err();
	
	typename Tensor<T,R,Imp>::MaskType	tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin(),
													rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit,++rit)
		*tmpit = (*lit < *rit);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator<=(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs.range() != rhs.range()) throw Tensor<T,R,Imp>::Err();
	
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin(),
													rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit,++rit)
		*tmpit = (*lit <= *rit);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator>(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs.range() != rhs.range()) throw Tensor<T,R,Imp>::Err();
	
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin(),
													rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit,++rit)
		*tmpit = (*lit > *rit);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator>=(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs.range() != rhs.range()) throw Tensor<T,R,Imp>::Err();
	
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin(),
													rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit,++rit)
		*tmpit = (*lit >= *rit);
		
	return tmp;
}

// arithmetic operators
// scalar op Vector
template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator+(const T& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs == static_cast<T>(0)) return rhs;
		
	return (Tensor<T,R,Imp>(rhs.range(),lhs) += rhs);
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator-(const T& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs == static_cast<T>(0)) return -rhs;
		
	return (Tensor<T,R,Imp>(rhs.range(),lhs) -= rhs);
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator*(const T& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs == static_cast<T>(1)) return rhs;
	if (lhs == static_cast<T>(0)) return Tensor<T,R,Imp>(rhs.range(),static_cast<T>(0));
	
	return (Tensor<T,R,Imp>(rhs.range(),lhs) *= rhs);
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator/(const T& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs == static_cast<T>(0)) return rhs;
		
	return (Tensor<T,R,Imp>(rhs.range(),lhs) /= rhs);
}

// Vector op scalar
template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator+(const Tensor<T,R,Imp>& lhs,const T& rhs)
{
	if (rhs == static_cast<T>(0)) return lhs;
		
	return (Tensor<T,R,Imp>(lhs) += rhs);
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator-(const Tensor<T,R,Imp>& lhs,const T& rhs)
{
	if (rhs == static_cast<T>(0)) return lhs;
		
	return (Tensor<T,R,Imp>(lhs) -= rhs);
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator*(const Tensor<T,R,Imp>& lhs,const T& rhs)
{
	if (rhs == static_cast<T>(1)) return lhs;
	if (rhs == static_cast<T>(0)) return Tensor<T,R,Imp>(lhs.range(),static_cast<T>(0));	

	return (Tensor<T,R,Imp>(lhs) *= rhs);
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator/(const Tensor<T,R,Imp>& lhs,const T& rhs)
{
	if (rhs == static_cast<T>(1)) return lhs;
		
	return (Tensor<T,R,Imp>(lhs) /= rhs);
}

// Vector op Vector
template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator+(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs.range() != rhs.range()) throw typename Tensor<T,R,Imp>::Err();
	
	return (Tensor<T,R,Imp>(lhs) += rhs);
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator-(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs.range() != rhs.range()) throw typename Tensor<T,R,Imp>::Err();
		
	return (Tensor<T,R,Imp>(lhs) -= rhs);
}


template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator*(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs.range() != rhs.range()) throw typename Tensor<T,R,Imp>::Err();
	
	return (Tensor<T,R,Imp>(lhs) *= rhs);
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator/(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs.range() != rhs.range()) throw typename Tensor<T,R,Imp>::Err();
	
	return (Tensor<T,R,Imp>(lhs) /= rhs);
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator&&(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs.range() != rhs.range()) throw typename Tensor<T,R,Imp>::Err();
	
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin(),
													rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit,++rit)
		*tmpit = (*lit && *rit);
		
	return tmp;
}

template<class T,Uint8 R,class Imp> 
const typename Tensor<T,R,Imp>::MaskType operator||(const Tensor<T,R,Imp>& lhs,const Tensor<T,R,Imp>& rhs)
{
	if (lhs.range() != rhs.range()) throw Tensor<T,R,Imp>::Err();
	
	typename Tensor<T,R,Imp>::MaskType tmp(lhs.range());
	
	typename Tensor<T,R,Imp>::MaskType::iterator	tmpit = tmp.begin();
	typename Tensor<T,R,Imp>::const_iterator		lit = lhs.begin(),
													rit = rhs.begin();
	
	for (;tmpit!=tmp.end();++tmpit,++lit,++rit)
		*tmpit = (*lit || *rit);
		
	return tmp;
}

// unary operators
template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator+(const Tensor<T,R,Imp>& source)
{
	return source;
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator-(const Tensor<T,R,Imp>& source)
{
	return (Tensor<T,R,Imp>(source.range()) -= source);
}

template<class T,Uint8 R,class Imp> 
inline const Tensor<T,R,Imp> operator!(const Tensor<T,R,Imp>& source)
{
	Tensor<T,R,Imp>	tmp(source.range());
	
	typename Tensor<T,R,Imp>::const_iterator	sit=source.begin();
	typename Tensor<T,R,Imp>::iterator			tit=tmp.begin();
	
	for (;sit!=source.end();++sit,++tit) *tit = *sit;
	
	return tmp;
}
