$freeform
!@***c* MLT_RSS/AMSU_File_Locations.f90
!  NAME
!    AMSU_File_Locations.f90
! 
!  PURPOSE
!    Module containing file locations for AMSU processing
! 
!  DESCRIPTION
!    Module containing file locations for AMSU processing
! 
!  AUTHOR
!    Carl Mears, Remote Sensing Systems
! 
! COPYRIGHT
!   THIS SOFTWARE AND ITS DOCUMENTATION ARE COPYRIGHT 2012 REMOTE SENSING SYSTEMS.  
!   THEY ARE PROVIDED FOR INFORMATIONAL AND ALGORITHM VERIFICATION PURPOSES ONLY 
!   AND MAY NOT BE USED IN WHOLE OR IN PART FOR ANY OTHER PURPOSE WITHOUT WRITTEN
!   PERMISSION FROM REMOTE SENSING SYSTEMS.  THEY ARE FURNISHED "AS IS." THE 
!   AUTHORS, THE UNITED STATES GOVERNMENT, ITS INSTRUMENTALITIES, OFFICERS, EMPLOYEES, 
!   AND AGENTS MAKE NO WARRANTY, EXPRESS OR IMPLIED, AS TO THE USEFULNESS OF THE 
!   SOFTWARE AND DOCUMENTATION FOR ANY PURPOSE. THEY ASSUME NO RESPONSIBILITY (1) FOR
!   THE USE OF THE SOFTWARE AND DOCUMENTATION; OR (2) TO PROVIDE TECHNICAL SUPPORT 
!   TO USERS.
! 
!  HISTORY
!    8/15/2012 Initial Version prepared for NCDC
! 
!  USAGE
!    use AMSU_File_Locations
!@*****
Module AMSU_File_Locations

	character(len = 150),parameter :: AMSU_L1A_Path = '\\dell-p1700d\I\AMSU-A_SwathData\' 
	character(len = 27 ),parameter :: AMSU_L1B_Path = '\\dell-p1700d\L\AMSU-A_L1B\' 
	character(len = 150),parameter :: AMSU_L1B_Path_test = '\\dell-p1700d\L\AMSU-A_L1B_TEST\' 
	character(len = 150),parameter :: AMSU_L2A_Path = '\\dell-p1700d\J\AMSU-A_L2A\' 
	character(len = 150),parameter :: AMSU_Daily_Hist_Path = '\\dell-p1700d\R\Daily_Hists\'
	character(len = 150),parameter :: AMSU_Monthly_Map_Path = '\\dell-p1700d\R\Monthly_Maps\'
	character(len = 150),parameter :: AMSU_GRPT_TS_Path = '\\dell-p1700d\R\GRPT_Time_Series\'
	character(len = 150),parameter :: MSU_GRPT_TS_Path = '\\dell-p1700d\R\GRPT_Time_Series\'
	character(len = 150),parameter :: AMSU_ZONAL_PENTAD_PATH ='\\dell-p1700d\r\zonal_pentads\'
	character(len = 150),parameter :: AMSU_ZONAL_MONTHLY_PATH ='\\dell-p1700d\r\zonal_months\'

end module AMSU_File_locations